@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@500;700&family=UnifrakturMaguntia&family=Courier+Prime&display=swap');

:root {
    --bg: #dadada;
    --white: #ffffff;
    --black: #000000;
    --drive-blue: #4285f4;
    /* Google plava ali ćemo je "pokvariti" */
}

body {
    background: var(--bg);
    font-family: 'Courier Prime', monospace;
    margin: 0;
    overflow: hidden;
}

/* Tekstura */
.noise {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    background: url('https://www.transparenttextures.com/patterns/carbon-fibre.png');
    opacity: 0.1;
    pointer-events: none;
    z-index: 10;
}

.dada-grid {
    display: grid;
    grid-template-columns: 250px 1fr;
    height: 100vh;
}

/* SIDEBAR IZ PAKLA */
.sidebar {
    border-right: 5px solid var(--black);
    padding: 20px;
    background: #f0f0f0;
    display: flex;
    flex-direction: column;
    gap: 30px;
    transform: rotate(-0.5deg);
    /* Jedva primjetno nagnuto */
}

.mini-logo {
    width: 100%;
    filter: grayscale(1) contrast(1.5);
    border: 2px solid black;
}

.nav-item {
    padding: 10px;
    border: 2px solid transparent;
    cursor: pointer;
    font-weight: bold;
}

.nav-item.active {
    background: var(--black);
    color: white;
    transform: translateX(10px);
}

/* DRIVE AREA */
.drive-area {
    padding: 40px;
    overflow-y: auto;
    background: repeating-linear-gradient(45deg, #eee, #eee 10px, #e5e5e5 10px, #e5e5e5 20px);
}

.search-bar {
    width: 100%;
    padding: 15px;
    border: 4px solid var(--black);
    box-shadow: 6px 6px 0px var(--black);
    font-size: 1.2rem;
    outline: none;
    margin-bottom: 50px;
}

/* FILE GRID */
.file-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
    gap: 30px;
}

.file-card {
    background: var(--white);
    border: 3px solid var(--black);
    text-decoration: none;
    color: var(--black);
    display: flex;
    flex-direction: column;
    box-shadow: 8px 8px 0px var(--black);
    transition: 0.1s;
}

.file-card:hover {
    transform: translate(-4px, -4px);
    box-shadow: 15px 15px 0px var(--drive-blue);
}

.file-icon {
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 4rem;
    background: #f9f9f9;
    border-bottom: 3px solid var(--black);
    font-family: 'UnifrakturMaguntia', serif;
}

.file-info {
    padding: 10px;
    font-size: 0.8rem;
    font-weight: bold;
    word-break: break-all;
}

.serif {
    font-family: 'Times New Roman', serif;
    font-style: italic;
}

.glitch {
    color: red;
    text-shadow: 2px 2px black;
}

/* Ukrasi */
.storage-box {
    margin-top: auto;
    font-size: 0.7rem;
}

.bar-outer {
    border: 2px solid black;
    height: 10px;
    width: 100%;
}

.bar-inner {
    background: black;
    width: 85%;
    height: 100%;
}